;;; early-init.el --- Early initialization for Emacs. -*- lexical-binding: t; -*-

;;; Commentary:

;; Emacs 27.1 introduced early-init.el, which is run before init.el, before
;; package and UI initialization happens, and before site files are loaded.

;;; Code:

;; Minimize garbage collection during startup.
(setq gc-cons-threshold most-positive-fixnum)

;; Lower threshold back to 8 MiB (default is 800kB)
(add-hook 'emacs-startup-hook
          (lambda ()
            (setq gc-cons-threshold (expt 2 23))))

(provide 'early-init)
;;; early-init.el ends here
